Description

Was testing the foreman-installer on CentOS 7 to find that when selecting foreman-db-type mysql, there are failures due to trying to

install mysql vs mariadb via yum. 

Execution of '/usr/bin/yum -d 0 -e 0 -y list mysql' returned 1: Error: No matching Packages to lis

t

Installing             Error: Execution of '/usr/bin/yum -d 0 -e 0 -y lis [13% /Stage[main]/Mysql:

:Client::Install/Package[mysql_client]/ensure: change from absent to present failed: Execution of 

'/usr/bin/yum -d 0 -e 0 -y list mysql' returned 1: Error: No matching Packages to list

History

#1 - 10/20/2014 11:22 PM - Shawn LoPresto

This is for foreman 1.6.

#2 - 10/21/2014 03:18 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category set to External modules

#3 - 04/15/2015 12:10 PM - Andreas Schiermeier

Created Pull Request to fix this issue. Afterwards I've realized this is an official module supported by Puppetlabs.

The current version of the module on https://forge.puppetlabs.com/puppetlabs/mysql provides a much better fix. Is it possible to integrate this one?

#4 - 04/20/2015 04:22 AM - Dominic Cleal

- Status changed from New to Feedback

I think this is probably fixed by Foreman 1.8, as we're now using puppetlabs/mysql 3.x which adds MariaDB support.  Please give it a try and let us

know if an issue still exists.

#5 - 05/17/2017 10:27 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
